Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.autocomplete
Class AutoCompleteStyledDocument

    java.lang.Object
      org.jdesktop.swingx.autocomplete.AutoCompleteDocument
          org.jdesktop.swingx.autocomplete.AutoCompleteStyledDocument

All Implemented Interfaces:
  javax.swing.text.Document, javax.swing.text.StyledDocument

    public class AutoCompleteStyledDocument

extends AutoCompleteDocument
implements javax.swing.text.StyledDocument

Author:
  Karl George Schaefer

Field Summary

Fields inherited from class org.jdesktop.swingx.autocomplete.AutoCompleteDocument
`delegate, strictMatching`

Fields inherited from interface javax.swing.text.Document
`StreamDescriptionProperty, TitleProperty`

Constructor Summary
`AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor, boolean strictMatching)`
`AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor, boolean strictMatching, ObjectToStringConverter stringConverter)`
`AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor, boolean strictMatching, ObjectToStringConverter stringConverter, javax.swing.text.StyledDocument delegate)`

Method Summary
`javax.swing.text.Style` | `addStyle(java.lang.String nm, javax.swing.text.Style parent)`
`protected javax.swing.text.Document` | `createDefaultDocument()` Creates the default backing document when no delegate is passed to this document.
`java.awt.Color` | `getBackground(javax.swing.text.AttributeSet attr)`
`javax.swing.text.Element` | `getCharacterElement(int pos)`
`java.awt.Font` | `getFont(javax.swing.text.AttributeSet attr)`
`java.awt.Color` | `getForeground(javax.swing.text.AttributeSet attr)`
`javax.swing.text.Style` | `getLogicalStyle(int p)`
`javax.swing.text.Element` | `getParagraphElement(int pos)`
`javax.swing.text.Style` | `getStyle(java.lang.String nm)`
`void` | `removeStyle(java.lang.String nm)`
`void` | `setCharacterAttributes(int offset, int length, javax.swing.text.AttributeSet s, boolean replace)`
`void` | `setLogicalStyle(int pos, javax.swing.text.Style s)`
`void` | `setParagraphAttributes(int offset, int length, javax.swing.text.AttributeSet s, boolean replace)`

Methods inherited from class org.jdesktop.swingx.autocomplete.AutoCompleteDocument
`addDocumentListener, addUndoableEditListener, createPosition, getDefaultRootElement, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, insertString, isStrictMatching, putProperty, remove, removeDocumentListener, removeUndoableEditListener, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.text.Document
`addDocumentListener, addUndoableEditListener, createPosition, getDefaultRootElement, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, insertString, putProperty, remove, removeDocumentListener, removeUndoableEditListener, render`

Constructor Detail

### AutoCompleteStyledDocument

    public AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor,
                                      boolean strictMatching,
                                      ObjectToStringConverter stringConverter,
                                      javax.swing.text.StyledDocument delegate)

Parameters:
  `adaptor` -
  `strictMatching` -
  `stringConverter` -
  `delegate` -

### AutoCompleteStyledDocument

    public AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor,
                                      boolean strictMatching,
                                      ObjectToStringConverter stringConverter)

Parameters:
  `adaptor` -
  `strictMatching` -
  `stringConverter` -

### AutoCompleteStyledDocument

    public AutoCompleteStyledDocument(AbstractAutoCompleteAdaptor adaptor,
                                      boolean strictMatching)

Parameters:
  `adaptor` -
  `strictMatching` -

Method Detail

### createDefaultDocument

    protected javax.swing.text.Document createDefaultDocument()

  Creates the default backing document when no delegate is passed to this document.

  Overrides:
    `createDefaultDocument` in class `AutoCompleteDocument`
  Returns:
    the default backing document

### addStyle

    public javax.swing.text.Style addStyle(java.lang.String nm,
                                           javax.swing.text.Style parent)

  Specified by:
    `addStyle` in interface `javax.swing.text.StyledDocument`

### getBackground

    public java.awt.Color getBackground(javax.swing.text.AttributeSet attr)

  Specified by:
    `getBackground` in interface `javax.swing.text.StyledDocument`

### getCharacterElement

    public javax.swing.text.Element getCharacterElement(int pos)

  Specified by:
    `getCharacterElement` in interface `javax.swing.text.StyledDocument`

### getFont

    public java.awt.Font getFont(javax.swing.text.AttributeSet attr)

  Specified by:
    `getFont` in interface `javax.swing.text.StyledDocument`

### getForeground

    public java.awt.Color getForeground(javax.swing.text.AttributeSet attr)

  Specified by:
    `getForeground` in interface `javax.swing.text.StyledDocument`

### getLogicalStyle

    public javax.swing.text.Style getLogicalStyle(int p)

  Specified by:
    `getLogicalStyle` in interface `javax.swing.text.StyledDocument`

### getParagraphElement

    public javax.swing.text.Element getParagraphElement(int pos)

  Specified by:
    `getParagraphElement` in interface `javax.swing.text.StyledDocument`

### getStyle

    public javax.swing.text.Style getStyle(java.lang.String nm)

  Specified by:
    `getStyle` in interface `javax.swing.text.StyledDocument`

### removeStyle

    public void removeStyle(java.lang.String nm)

  Specified by:
    `removeStyle` in interface `javax.swing.text.StyledDocument`

### setCharacterAttributes

    public void setCharacterAttributes(int offset,
                                       int length,
                                       javax.swing.text.AttributeSet s,
                                       boolean replace)

  Specified by:
    `setCharacterAttributes` in interface `javax.swing.text.StyledDocument`

### setLogicalStyle

    public void setLogicalStyle(int pos,
                                javax.swing.text.Style s)

  Specified by:
    `setLogicalStyle` in interface `javax.swing.text.StyledDocument`

### setParagraphAttributes

    public void setParagraphAttributes(int offset,
                                       int length,
                                       javax.swing.text.AttributeSet s,
                                       boolean replace)

  Specified by:
    `setParagraphAttributes` in interface `javax.swing.text.StyledDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.